uisok(3)

NAME
uisok

SYNOPSIS
#include <allegro.h>

int uisok(int c);

DESCRIPTION
Low level helper function for testing Unicode text data. Finds out if the character value `c' can be encoded correctly in the current format, which can be useful if you are converting from Unicode to ASCII or another encoding format where the range of valid characters is limited.

RETURN VALUE
Returns non-zero if the value can be correctly encoded, zero otherwise.

SEE ALSO
ugetc(3), ugetx(3), usetc(3), uwidth(3), ucwidth(3)